Plans

Promote a Spec subtree into its own sub-plan

POST
/v1/projects/{projectSlug}/plans/{planShortId}/specs/{specShortId}/promote

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

specShortId*string

Spec handle within the plan, e.g. SPEC-3.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/plans/string/specs/string/promote" \  -H "Content-Type: application/json" \  -d '{}'
{  "plan": {    "id": "string",    "shortId": "string",    "archivedAt": "2019-08-24T14:15:22Z",    "name": "string",    "status": "PLANNING",    "statusLabel": "string",    "projectId": "string",    "parentPlanId": "string",    "rootPlanId": "string",    "visibility": "PRIVATE",    "ownerUserId": "string",    "capability": "NONE",    "specCount": 0  },  "specs": [    {      "id": "string",      "shortId": "string",      "title": "string",      "content": "string",      "status": "string",      "parentSpecId": "string",      "parentShortId": "string",      "needsFirst": [        "string"      ],      "effort": 1,      "effortLabel": "string",      "readiness": 1,      "readinessLabel": "string"    }  ],  "shortIdMap": {    "property1": "string",    "property2": "string"  },  "conversions": [    {      "direction": "outbound",      "movedSpecShortId": "string",      "otherSpecShortId": "string"    }  ],  "detachedParent": {    "itemId": "string",    "formerParentItemId": "string"  },  "movedContextSourceIds": [    "string"  ]}